package fr.username404.snowygui.config

import com.mojang.blaze3d.platform.InputConstants
import net.minecraft.client.KeyMapping
import org.lwjgl.glfw.GLFW.GLFW_KEY_U
import org.lwjgl.glfw.GLFW.GLFW_KEY_Y

object AddKeyMaps {
    private const val prefix = "snowy"
    private fun mkMap(translationSuffix: String, key: Int, category: String = "keycategory"): KeyMapping {
        return KeyMapping(
            "$prefix.$translationSuffix", InputConstants.Type.KEYSYM,
            key, "$prefix.$category"
        )
    }
    fun getList(): List<KeyMapping> {
        return listOf(
            mkMap("opengui", GLFW_KEY_Y),
            mkMap("configkey", GLFW_KEY_U)
        )
    }
}